--- configure.ac
+++ configure.ac
@@ -154,9 +154,6 @@ Makefile
 man/Makefile
 man/bash-completion/Makefile
 man/bash-completion/doom.template
-man/bash-completion/heretic.template
-man/bash-completion/hexen.template
-man/bash-completion/strife.template
 midiproc/Makefile
 opl/Makefile
 opl/examples/Makefile
@@ -171,20 +168,11 @@ src/doom.appdata.xml
 src/doom.desktop
 src/doom-screensaver.desktop
 src/doom/Makefile
-src/heretic.appdata.xml
-src/heretic.desktop
-src/heretic/Makefile
-src/hexen.appdata.xml
-src/hexen.desktop
-src/hexen/Makefile
 src/resource.rc
 src/setup-res.rc
 src/setup/Makefile
 src/setup/setup.desktop
 src/setup/setup-manifest.xml
-src/strife.appdata.xml
-src/strife.desktop
-src/strife/Makefile
 textscreen/Makefile
 textscreen/examples/Makefile
 textscreen/fonts/Makefile
--- Makefile.am
+++ Makefile.am
@@ -6,9 +6,6 @@ MSVC_FILES=                             
         msvc/chocolate.sln              \
         msvc/config.h                   \
         msvc/doom.vcproj                \
-        msvc/heretic.vcproj             \
-        msvc/hexen.vcproj               \
-        msvc/strife.vcproj              \
         msvc/inttypes.h                 \
         msvc/libopl.vcproj              \
         msvc/libpcsound.vcproj          \
@@ -26,9 +23,6 @@ CODEBLOCKS_FILES=                       
         codeblocks/config.h                    \
         codeblocks/doom.cbp                    \
         codeblocks/game-res.rc                 \
-        codeblocks/heretic.cbp                 \
-        codeblocks/hexen.cbp                   \
-        codeblocks/strife.cbp                  \
         codeblocks/libopl.cbp                  \
         codeblocks/libpcsound.cbp              \
         codeblocks/libtextscreen.cbp           \
@@ -59,15 +53,6 @@ EXTRA_DIST=                             
 doomdocsdir = ${docdir}/../${PROGRAM_PREFIX}doom
 doomdocs_DATA = $(DOC_FILES) NOT-BUGS.md
 
-hereticdocsdir = ${docdir}/../${PROGRAM_PREFIX}heretic
-hereticdocs_DATA = $(DOC_FILES)
-
-hexendocsdir = ${docdir}/../${PROGRAM_PREFIX}hexen
-hexendocs_DATA = $(DOC_FILES)
-
-strifedocsdir = ${docdir}/../${PROGRAM_PREFIX}strife
-strifedocs_DATA = $(DOC_FILES) README.Strife.md
-
 MAINTAINERCLEANFILES =  $(AUX_DIST_GEN)
 
 SUBDIRS=textscreen midiproc opl pcsound data src man
@@ -77,7 +62,7 @@ DIST_SUBDIRS=pkg $(SUBDIRS)
 if HAVE_PYTHON
 
 INSTALL : man/INSTALL.template man/simplecpp
-	./man/simplecpp -DDOOM -DHERETIC -DHEXEN -DSTRIFE \
+	./man/simplecpp -DDOOM \
 	                < man/INSTALL.template > $@
 
 endif
--- man/bash-completion/Makefile.am
+++ man/bash-completion/Makefile.am
@@ -1,18 +1,12 @@
 bashcompletiondir=@bashcompletiondir@
 
 BASH_COMPLETION_TEMPLATES = \
-    doom.template \
-    heretic.template \
-    hexen.template \
-    strife.template
+    doom.template
 
 if HAVE_PYTHON
 
 BASH_COMPLETION_SCRIPTLETS = \
-    @PROGRAM_PREFIX@doom \
-    @PROGRAM_PREFIX@heretic \
-    @PROGRAM_PREFIX@hexen \
-    @PROGRAM_PREFIX@strife
+    @PROGRAM_PREFIX@doom
 
 bashcompletion_DATA = $(BASH_COMPLETION_SCRIPTLETS)
 CLEANFILES = $(BASH_COMPLETION_SCRIPTLETS)
@@ -24,18 +18,6 @@ DOCGEN = $(MANDIR)/docgen
 	$(DOCGEN) -g doom -b $(MANDIR)/doom.template \
                   $(top_srcdir)/src $(top_srcdir)/src/doom > $@
 
-@PROGRAM_PREFIX@heretic: $(top_srcdir)/src $(DOCGEN) $(BASH_COMPLETION_TEMPLATES)
-	$(DOCGEN) -g heretic -b $(MANDIR)/heretic.template \
-                  $(top_srcdir)/src $(top_srcdir)/src/heretic > $@
-
-@PROGRAM_PREFIX@hexen: $(top_srcdir)/src $(DOCGEN) $(BASH_COMPLETION_TEMPLATES)
-	$(DOCGEN) -g hexen -b $(MANDIR)/hexen.template \
-                  $(top_srcdir)/src $(top_srcdir)/src/hexen > $@
-
-@PROGRAM_PREFIX@strife: $(top_srcdir)/src $(DOCGEN) $(BASH_COMPLETION_TEMPLATES)
-	$(DOCGEN) -g strife -b $(MANDIR)/strife.template \
-                  $(top_srcdir)/src $(top_srcdir)/src/strife > $@
-
 EXTRA_DIST = \
     $(BASH_COMPLETION_TEMPLATES) \
     $(BASH_COMPLETION_SCRIPTLETS)
--- man/Makefile.am
+++ man/Makefile.am
@@ -3,39 +3,21 @@ SUBDIRS = bash-completion
 MANPAGE_GEN_FILES = environ.man           \
                     iwad_paths.man        \
                     doom.template         \
-                    heretic.template      \
-                    hexen.template        \
-                    strife.template       \
                     docgen                \
                     default.cfg.template  \
                     extra.cfg.template
 
 doomdocsdir = ${docdir}/../${PROGRAM_PREFIX}doom
-hereticdocsdir = ${docdir}/../${PROGRAM_PREFIX}heretic
-hexendocsdir = ${docdir}/../${PROGRAM_PREFIX}hexen
-strifedocsdir = ${docdir}/../${PROGRAM_PREFIX}strife
 
 if HAVE_PYTHON
 
 GENERATED_MAN_PAGES =               \
            @PROGRAM_PREFIX@doom.6         \
            default.cfg.5            \
-           @PROGRAM_PREFIX@doom.cfg.5     \
-           @PROGRAM_PREFIX@heretic.6      \
-           heretic.cfg.5            \
-           @PROGRAM_PREFIX@heretic.cfg.5  \
-           @PROGRAM_PREFIX@hexen.6        \
-           hexen.cfg.5              \
-           @PROGRAM_PREFIX@hexen.cfg.5    \
-           @PROGRAM_PREFIX@strife.6       \
-           strife.cfg.5             \
-           @PROGRAM_PREFIX@strife.cfg.5
+           @PROGRAM_PREFIX@doom.cfg.5
 
 SETUP_MAN_PAGES =                          \
-           @PROGRAM_PREFIX@doom-setup.6    \
-           @PROGRAM_PREFIX@heretic-setup.6 \
-           @PROGRAM_PREFIX@hexen-setup.6   \
-           @PROGRAM_PREFIX@strife-setup.6
+           @PROGRAM_PREFIX@doom-setup.6
 
 man_MANS = chocolate-server.6             \
            chocolate-setup.6              \
@@ -43,13 +25,9 @@ man_MANS = chocolate-server.6           
            $(SETUP_MAN_PAGES)
 
 doomdocs_DATA    = INSTALL.doom    CMDLINE.doom
-hereticdocs_DATA = INSTALL.heretic CMDLINE.heretic
-hexendocs_DATA   = INSTALL.hexen   CMDLINE.hexen
-strifedocs_DATA  = INSTALL.strife  CMDLINE.strife
 
 CLEANFILES = $(GENERATED_MAN_PAGES) $(SETUP_MAN_PAGES) \
-             $(doomdocs_DATA) $(hereticdocs_DATA) \
-             $(hexendocs_DATA) $(strifedocs_DATA)
+             $(doomdocs_DATA)
 DOCGEN = $(srcdir)/docgen
 
 $(SETUP_MAN_PAGES): chocolate-setup.6
@@ -75,68 +53,8 @@ INSTALL.doom: INSTALL.template
 	$(srcdir)/simplecpp -DDOOM -DPRECOMPILED < $(srcdir)/INSTALL.template > $@
 
 
-@PROGRAM_PREFIX@heretic.6: $(top_srcdir)/src $(MANPAGE_GEN_FILES) heretic.template
-	$(DOCGEN) -g heretic -m $(srcdir)/heretic.template \
-                  $(top_srcdir)/src $(top_srcdir)/src/heretic > $@
-
-heretic.cfg.5: $(top_srcdir)/src $(srcdir)/default.cfg.template
-	$(DOCGEN) -g heretic -m $(srcdir)/default.cfg.template \
-                  -c default $(top_srcdir)/src/m_config.c > $@
-
-@PROGRAM_PREFIX@heretic.cfg.5: $(top_srcdir)/src extra.cfg.template
-	$(DOCGEN) -g heretic -m $(srcdir)/extra.cfg.template \
-                 -c extended $(top_srcdir)/src/m_config.c > $@
-
-CMDLINE.heretic : CMDLINE.template $(top_srcdir)/src $(top_srcdir)/src/heretic
-	$(DOCGEN) -p $(srcdir)/CMDLINE.template \
-                  $(top_srcdir)/src/ $(top_srcdir)/src/heretic/ > $@
-
-INSTALL.heretic: INSTALL.template
-	$(srcdir)/simplecpp -DHERETIC -DPRECOMPILED < $(srcdir)/INSTALL.template > $@
-
-
-@PROGRAM_PREFIX@hexen.6: $(top_srcdir)/src $(MANPAGE_GEN_FILES)
-	$(DOCGEN) -g hexen -m $(srcdir)/hexen.template \
-                  $(top_srcdir)/src $(top_srcdir)/src/hexen > $@
-
-hexen.cfg.5: $(top_srcdir)/src default.cfg.template
-	$(DOCGEN) -g hexen -m $(srcdir)/default.cfg.template \
-                 -c default $(top_srcdir)/src/m_config.c > $@
-
-@PROGRAM_PREFIX@hexen.cfg.5: $(top_srcdir)/src extra.cfg.template
-	$(DOCGEN) -g hexen -m $(srcdir)/extra.cfg.template \
-                 -c extended $(top_srcdir)/src/m_config.c > $@
-
-CMDLINE.hexen : CMDLINE.template $(top_srcdir)/src $(top_srcdir)/src/hexen
-	$(DOCGEN) -p $(srcdir)/CMDLINE.template \
-                  $(top_srcdir)/src/ $(top_srcdir)/src/hexen/ > $@
-
-INSTALL.hexen: INSTALL.template
-	$(srcdir)/simplecpp -DHEXEN -DPRECOMPILED < $(srcdir)/INSTALL.template > $@
-
-
-@PROGRAM_PREFIX@strife.6: $(top_srcdir)/src $(MANPAGE_GEN_FILES)
-	$(DOCGEN) -g strife -m $(srcdir)/strife.template \
-                  $(top_srcdir)/src $(top_srcdir)/src/strife > $@
-
-strife.cfg.5: $(top_srcdir)/src default.cfg.template
-	$(DOCGEN) -g strife -m $(srcdir)/default.cfg.template \
-                 -c default $(top_srcdir)/src/m_config.c > $@
-
-@PROGRAM_PREFIX@strife.cfg.5: $(top_srcdir)/src extra.cfg.template
-	$(DOCGEN) -g strife -m $(srcdir)/extra.cfg.template \
-                 -c extended $(top_srcdir)/src/m_config.c > $@
-
-CMDLINE.strife : CMDLINE.template $(top_srcdir)/src $(top_srcdir)/src/strife
-	$(DOCGEN) -p $(srcdir)/CMDLINE.template \
-                  $(top_srcdir)/src/ $(top_srcdir)/src/strife/ > $@
-
-INSTALL.strife: INSTALL.template
-	$(srcdir)/simplecpp -DSTRIFE -DPRECOMPILED < $(srcdir)/INSTALL.template > $@
-
-
 INSTALL: INSTALL.template
-	$(srcdir)//simplecpp -DDOOM -DHERETIC -DHEXEN -DSTRIFE \
+	$(srcdir)//simplecpp -DDOOM \
 	            -DPRECOMPILED < $(srcdir)/INSTALL.template > $@
 
 endif
--- src/Makefile.am
+++ src/Makefile.am
@@ -1,20 +1,14 @@
 
-SUBDIRS = doom heretic hexen strife setup
+SUBDIRS = doom setup
 
 execgamesdir = ${bindir}
 
 execgames_PROGRAMS = @PROGRAM_PREFIX@doom     \
-                     @PROGRAM_PREFIX@heretic  \
-                     @PROGRAM_PREFIX@hexen    \
-                     @PROGRAM_PREFIX@strife   \
                      @PROGRAM_PREFIX@server
 
 noinst_PROGRAMS = @PROGRAM_PREFIX@setup
 
-SETUP_BINARIES = @PROGRAM_PREFIX@doom-setup$(EXEEXT)    \
-                 @PROGRAM_PREFIX@heretic-setup$(EXEEXT) \
-                 @PROGRAM_PREFIX@hexen-setup$(EXEEXT)   \
-                 @PROGRAM_PREFIX@strife-setup$(EXEEXT)
+SETUP_BINARIES = @PROGRAM_PREFIX@doom-setup$(EXEEXT)
 
 execgames_SCRIPTS = $(SETUP_BINARIES)
 
@@ -141,30 +135,6 @@ endif
 
 @PROGRAM_PREFIX@doom_LDADD = doom/libdoom.a $(EXTRA_LIBS)
 
-if HAVE_WINDRES
-@PROGRAM_PREFIX@heretic_SOURCES=$(SOURCE_FILES_WITH_DEH) resource.rc
-else
-@PROGRAM_PREFIX@heretic_SOURCES=$(SOURCE_FILES_WITH_DEH)
-endif
-
-@PROGRAM_PREFIX@heretic_LDADD = heretic/libheretic.a $(EXTRA_LIBS)
-
-if HAVE_WINDRES
-@PROGRAM_PREFIX@hexen_SOURCES=$(SOURCE_FILES) resource.rc
-else
-@PROGRAM_PREFIX@hexen_SOURCES=$(SOURCE_FILES)
-endif
-
-@PROGRAM_PREFIX@hexen_LDADD = hexen/libhexen.a $(EXTRA_LIBS)
-
-if HAVE_WINDRES
-@PROGRAM_PREFIX@strife_SOURCES=$(SOURCE_FILES_WITH_DEH) resource.rc
-else
-@PROGRAM_PREFIX@strife_SOURCES=$(SOURCE_FILES_WITH_DEH)
-endif
-
-@PROGRAM_PREFIX@strife_LDADD = strife/libstrife.a $(EXTRA_LIBS)
-
 $(SETUP_BINARIES): @PROGRAM_PREFIX@setup$(EXEEXT)
 	cp @PROGRAM_PREFIX@setup$(EXEEXT) $@
 
@@ -173,15 +143,6 @@ $(SETUP_BINARIES): @PROGRAM_PREFIX@setup
 doom/libdoom.a:
 	$(MAKE) -C doom
 
-heretic/libheretic.a:
-	$(MAKE) -C heretic
-
-hexen/libhexen.a:
-	$(MAKE) -C hexen
-
-strife/libstrife.a:
-	$(MAKE) -C strife
-
 # Source files needed for chocolate-setup:
 
 SETUP_FILES=                               \
@@ -214,42 +175,18 @@ EXTRA_DIST =                        \
 
 appdatadir = $(prefix)/share/appdata
 appdata_DATA =                              \
-        @PROGRAM_PREFIX@doom.appdata.xml    \
-        @PROGRAM_PREFIX@heretic.appdata.xml \
-        @PROGRAM_PREFIX@hexen.appdata.xml   \
-        @PROGRAM_PREFIX@strife.appdata.xml
+        @PROGRAM_PREFIX@doom.appdata.xml
 
 @PROGRAM_PREFIX@doom.appdata.xml : doom.appdata.xml
 	cp doom.appdata.xml $@
 
-@PROGRAM_PREFIX@heretic.appdata.xml : heretic.appdata.xml
-	cp heretic.appdata.xml $@
-
-@PROGRAM_PREFIX@hexen.appdata.xml : hexen.appdata.xml
-	cp hexen.appdata.xml $@
-
-@PROGRAM_PREFIX@strife.appdata.xml : strife.appdata.xml
-	cp strife.appdata.xml $@
-
 appdir = $(prefix)/share/applications
 app_DATA =                                 \
-           @PROGRAM_PREFIX@doom.desktop    \
-           @PROGRAM_PREFIX@heretic.desktop \
-           @PROGRAM_PREFIX@hexen.desktop   \
-           @PROGRAM_PREFIX@strife.desktop
+           @PROGRAM_PREFIX@doom.desktop
 
 @PROGRAM_PREFIX@doom.desktop : doom.desktop
 	cp doom.desktop $@
 
-@PROGRAM_PREFIX@heretic.desktop : heretic.desktop
-	cp heretic.desktop $@
-
-@PROGRAM_PREFIX@hexen.desktop : hexen.desktop
-	cp hexen.desktop $@
-
-@PROGRAM_PREFIX@strife.desktop : strife.desktop
-	cp strife.desktop $@
-
 screensaverdir = $(prefix)/share/applications/screensavers
 screensaver_DATA = @PROGRAM_PREFIX@doom-screensaver.desktop
 
